Page MenuHomePhabricator

Wikimania Hack Volunteer Group: Help Desk
Closed, ResolvedPublic

Description

This is a task to collect ideas and progress from the group of volunteers who agreed to help staff the hackathon help desk at the Wikimania Hackathon 2017.

Your contact for this group will be @Rfarrand

The help desk will be a place where people can go to ask questions about projects, where to get help on specific things, or anything else they need to be successful at the hackathon.
I should be at the help desk almost all of the time but would like other people, and more technical people to be there as well helping!

No commitment other than sitting with me and helping people as they approach us.

If you would like to help either email Rachel or come to the help desk!

Event Timeline

Rfarrand created this task.Jun 23 2017, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2017, 9:19 PM
Rfarrand triaged this task as Normal priority.Jun 23 2017, 9:44 PM
Rfarrand updated the task description. (Show Details)

I'll also be around.

chasemp added a subscriber: chasemp.Aug 4 2017, 2:46 PM

30 people volunteered to help with this group at Wikimania. Here is the email that was sent out to the group today!
If you still want to help but did not sign up, you can just add a comment here!

Hello Everyone!

Thank you for expressing interest in volunteering to help hackathon participants at the help desk! The help desk is a hacking table located in the main hacking space where any participant can come and ask for technical or logistical help.

As a help-desk volunteer, there are three levels of help you can provide!

Sign up in advance for a two hour time-window to be at the help desk. This will ensure that we have at least 1-2 people there at a time. If you need to change your time later for some reason, don’t worry, I would just like to get a tentative schedule going now.
Show up at the help desk randomly throughout the event when you feel like taking a break or notice that only one or two people are there! You can still work on your project but you may be interrupted. No need to sign up in advance.
Be on a short list of people that Rachel can contact when someone shows up at the help desk and needs a bit more support. You may not be contacted at all, or you may be interrupted at some point and introduced to a person with a project. You job will be to talk with them and help them determine where they should focus their energies / who they should meet. Or just take them to sit with you!

Two actions for you:
Please take a moment to sign up for option 1, 2, or 3 here (you can sign up for more than one if you are motivated!): https://docs.google.com/spreadsheets/d/1Eo4cAGxw6bjy2fXbrF8UJE_8SL3yiVJ_-2DpBKlnbqo/edit#gid=0
Here is the associated Phabricator task where we can all chat and coordinate our efforts, follow if if you want group updates: https://phabricator.wikimedia.org/T168751

Thanks so much for your help!
Rachel

Maybe a specific irc, hangout, or signals chat group for folks who are interested in help desk coverage? Esp for those of us in the random category it would help to keep tabs on asks for coverage and would help ease an irc/phab/gchat/hangout split.

Sure @chaseamp which location (irc, hangout, signal) do you think would be best?

I haven't used signal yet, but if it's otherwise an official medium for the event it probably makes sense. I'm open to anything but in quick succession:

1 irc is bad at persistence and non-ideal for many
2 phab chat could work but isn't a native client
3 does gchat = hangout now? could work, no opinion.
4 signal...sure?

The event is "officially" using IRC and telegram.
If we use IRC, we wont get notifications on phones
If we use Telegram everyone has to agree to download it which is a controversial thing to ask, this would be the easiest for people to join
If we use ghangouts then everyone has to have a gmail or wmf staff account and I *think everyone needs to be added manually and can't just join
I have never used Phab chat before.

Hmmm, best optons imo:

  1. gchat
  2. telegram
  3. email thread / list of people IRC nicks / a new IRC channel

I mixed up signal and telegram :)

Telegram seems ok to me, unless someone from https://docs.google.com/spreadsheets/d/1Eo4cAGxw6bjy2fXbrF8UJE_8SL3yiVJ_-2DpBKlnbqo/edit#gid=0 objects. I'm ok with @Rfarrand just telling us what to use also so gchat works for me :)

leila added a subscriber: leila.Aug 7 2017, 11:00 PM
Keegan added a subscriber: Keegan.Aug 9 2017, 7:48 PM

I think the most frequent question I've been asked is, "Have you see <Jane/John>?"

The DJ mentioned that at the last Wikimedia Conference in Berlin that there was a board where people could leave notes for other people. I think such a thing in the future would be very useful for this.

Elitre added a subscriber: Elitre.Aug 9 2017, 7:49 PM
Elitre added a comment.Aug 9 2017, 7:51 PM

I think the most frequent question I've been asked is, "Have you see <Jane/John>?"
The DJ mentioned that at the last Wikimedia Conference in Berlin that there was a board where people could leave notes for other people. I think such a thing in the future would be very useful for this.

The board works when there's 100-150 attendees, more than that you'll need a dedicated room to host it :)
(We'd also probably want to do that differently - by username - I guess that works better in the tech community.)

Keegan added a comment.Aug 9 2017, 7:54 PM

I think the most frequent question I've been asked is, "Have you see <Jane/John>?"
The DJ mentioned that at the last Wikimedia Conference in Berlin that there was a board where people could leave notes for other people. I think such a thing in the future would be very useful for this.

The board works when there's 100-150 attendees, more than that you'll need a dedicated room to host it :)
(We'd also probably want to do that differently - by username - I guess that works better in the tech community.)

Sure, I don't think it would scale for Wikimania itself, but I think it's perfectly doable for the hackathon.

"phone book" with people's name and their IRC nics so they can be pinged might be the best option.
Not sure the wall with photos and mail boxes is gonna happen and also does not help to find people immediately anyways. :)

Tables could be assigned. If there's a page listing in advance tables topics and the main people who could be found there, that could be a start.

Thank you very much to everyone who volunteered at the Help Desk. It was a success and fun to have so many different people helping.
Looking forward to another round of help-desk-ing in South Africa. There will be a similar volunteer group and process.

Any new ideas between now and then? Let me know!

Rfarrand closed this task as Resolved.Aug 18 2017, 12:37 AM